# +-------------------------------------------------------------------------+
# | Джентльменский набор Web-разработчика                                   |
# | Версия: Денвер-3 2008-01-13                                             |
# +-------------------------------------------------------------------------+
# | Copyright (C) 2001-2007 Дмитрий Котеров.                                |
# +-------------------------------------------------------------------------+
# | Данный файл является частью комплекса программ "Денвер-3". Вы не можете |
# | использовать  его в коммерческих  целях.  Никакие другие ограничения не |
# | накладываются.  Если вы хотите внести изменения в исходный код,  авторы |
# | будут рады получить от вас комментарии и замечания. Приятной работы!    |
# +-------------------------------------------------------------------------+
# | Домашняя страница: http://denwer.ru                                     |
# | Контакты: http://forum.dklab.ru/denwer                                  |
# +-------------------------------------------------------------------------+
##
## Конфигурация MySQL, не очень требовательная к системным ресурсам.
##

#
# Следующие параметры будут переданы всем клиентским программам
# (например, mysql.exe). ВНИМАНИЕ: если не сработает, укажите
# путь к my.cnf ЯВНО, например:
# 
# mysql.exe --defaults-file=/usr/local/mysql5/my.cnf ...
#
[client]
port                  = 3306
socket                = /tmp/mysql5.sock
default-character-set = cp1251
character-sets-dir    = /usr/local/mysql5/share/charsets


#
# Параметры MySQL-сервера.
#
[mysqld]
# Использовать режим совместимости с клиентами MySQL 3.x и MySQL 4.0.
old-passwords

# Кодировка баз данных по умолчанию.
default-character-set = cp1251
init-connect = "set names cp1251"
skip-character-set-client-handshake

# Временная директория.
tmpdir                = /tmp

#
# Обработывать запросы ТОЛЬКО с локальной машины (повышает безопасность).
# Если вы хотите, чтобы MySQL-сервер был доступен из сети,
# уберите следующую ниже директиву.
#
bind-address          = 127.0.0.1

# Порт сервера.
port                  = 3306
socket                = /tmp/mysql5.sock

lower-case-table-names = 2

# Различные настройки, оптимизированные для небольшого объема памяти.
skip-locking
key_buffer            = 16K
max_allowed_packet    = 1M
table_cache           = 4
sort_buffer_size      = 64K
read_buffer_size      = 256K
read_rnd_buffer_size  = 256K
net_buffer_length     = 2K
thread_stack          = 64K

#
# Поскольку InnoDB и BerkeleyDB обычно не используются, в Денвере в
# пакете с MySQL5 они по умолчанию выключены. Для включения этих типов
# таблиц закомментируйте две нижеследующие строки.
# Внимание! Включение InnoDB/BDB увеличивает требования к оперативной 
# памяти. Кроме того, это может привести к существенному замедлению
# (до нескольких минут) запуска MySQL на Win9x

skip-innodb
skip-bdb

#
# Вообще не слушать TCP/IP порт. Это может служить для усиления 
# безопасности, если все процессы, работающие с демоном MySQL, запущены
# на том же хосте. Однако при этом всё взаимодействие может проиходить
# ТОЛЬКО через сокеты Unix или именованные каналы Windows (доступны лишь
# в NT-версиях, при использовании mysqld-nt или mysqld-max-nt). Если 
# в Windows при этом НЕ включить опцию  "enable-named-pipe", демон MySQL 
# станет бесполезен

#skip-networking

# См. коментарий выше
#enable-named-pipe

# Server ID.
server-id = 1

# Раскомментируйте для журналирования UPDATE-запросов
#log-bin

#
# Раскомментируйте следующие строки, если вы хотите изменить
# настройки InnoDB по умолчанию.
#
#innodb_data_home_dir = /usr/local/mysql5/var/
#innodb_data_file_path = ibdata1:10M:autoextend
#innodb_log_group_home_dir = /usr/local/mysql5/var/
#innodb_log_arch_dir = /usr/local/mysql5/var/
# Вы можете установить .._buffer_pool_size размером до 50 - 80 %
# оперативной памяти, но опасайтесь перерасхода
#innodb_buffer_pool_size = 16M
#innodb_additional_mem_pool_size = 2M
# Устанавливайте .._log_file_size to 25 % от _buffer_pool_size
#innodb_log_file_size = 5M
#innodb_log_buffer_size = 8M
#innodb_flush_log_at_trx_commit=1
#innodb_lock_wait_timeout = 50


[mysqldump]
quick
max_allowed_packet = 16M


[mysql]
no-auto-rehash
# Remove the next comment character if you are not familiar with SQL
#safe-updates


[isamchk]
key_buffer = 8M
sort_buffer_size = 8M


[myisamchk]
key_buffer = 8M
sort_buffer_size = 8M


[mysqlhotcopy]
interactive-timeout
